gov.ornl.mercury3.commands

## Class QueryBean

- java.lang.Object
- - gov.ornl.mercury3.commands.QueryBean

- All Implemented Interfaces:
    Serializable

      public class QueryBean
      extends Object
      implements Serializable

  ornldaac3
  Author:
    zzr @Modified by: Ranjeet Devarakonda
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryBean()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getfieldedSearch()`
    `int` | `getfreeTextSearch()`
    `String` | `getinstanceName()`
    `String` | `getqueryDateTime()`
    `String` | `getqueryString()`
    `String` | `getsearchType()`
    `String` | `getsessionId()`
    `int` | `getspatialSearch()`
    `int` | `gettemporalSearch()`
    `int` | `gettransactionID()`
    `void` | `setfieldedSearch(int fieldedSearch)`
    `void` | `setfreeTextSearch(int freeTextSearch)`
    `void` | `setinstanceName(String instanceName)`
    `void` | `setqueryDateTime(String queryDateTime)`
    `void` | `setqueryString(String QueryString)`
    `void` | `setsearchType(String searchType)`
    `void` | `setsessionId(String sessionId)`
    `void` | `setspatialSearch(int spatialSearch)`
    `void` | `settemporalSearch(int temporalSearch)`
    `void` | `settransactionID(int transactionID)`
    `void` | `String(SessionBean sessionbean)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryBean

          public QueryBean()

  - ### Method Detail

    - #### getsessionId

          public String getsessionId()

      Returns:
        String user sessionID

    - #### setsessionId

          public void setsessionId(String sessionId)

      Parameters:
        `String` - sessionID

    - #### gettransactionID

          public int gettransactionID()

      Returns:
        int user transactionID

    - #### settransactionID

          public void settransactionID(int transactionID)

      Parameters:
        `int` - transactionID

    - #### getinstanceName

          public String getinstanceName()

      Returns:
        String instanceName.

    - #### setinstanceName

          public void setinstanceName(String instanceName)

      Parameters:
        `String` - instanceName

    - #### getqueryDateTime

          public String getqueryDateTime()

      Returns:
        String user queryDateTime

    - #### setqueryDateTime

          public void setqueryDateTime(String queryDateTime)

      Parameters:
        `String` - queryDateTime

    - #### getsearchType

          public String getsearchType()

      Returns:
        String searchType.

    - #### setsearchType

          public void setsearchType(String searchType)

      Parameters:
        `String` - searchType

    - #### getspatialSearch

          public int getspatialSearch()

      Returns:
        int spatialSearch

    - #### setspatialSearch

          public void setspatialSearch(int spatialSearch)

      Parameters:
        `int` - spatialSearch

    - #### getfreeTextSearch

          public int getfreeTextSearch()

      Returns:
        int freeTextSearch

    - #### setfreeTextSearch

          public void setfreeTextSearch(int freeTextSearch)

      Parameters:
        `int` - freeTextSearch

    - #### gettemporalSearch

          public int gettemporalSearch()

      Returns:
        int temporalSearch

    - #### settemporalSearch

          public void settemporalSearch(int temporalSearch)

      Parameters:
        `int` - temporalSearch

    - #### getfieldedSearch

          public int getfieldedSearch()

      Returns:
        int fieldedSearch

    - #### setfieldedSearch

          public void setfieldedSearch(int fieldedSearch)

      Parameters:
        `String` - int

    - #### getqueryString

          public String getqueryString()

      Returns:
        String queryString

    - #### setqueryString

          public void setqueryString(String QueryString)

    - #### String

          public void String(SessionBean sessionbean)

Copyright © 2016. All rights reserved.